## org.apache.batik.dom
Class AbstractProcessingInstruction

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractChildNode
              org.apache.batik.dom.AbstractProcessingInstruction

All Implemented Interfaces:
  org.w3c.dom.events.EventTarget, ExtendedNode, org.w3c.dom.Node, NodeEventTarget, org.w3c.dom.ProcessingInstruction, java.io.Serializable

Direct Known Subclasses:
  GenericProcessingInstruction, StyleSheetProcessingInstruction

public abstract class AbstractProcessingInstruction
extends AbstractChildNode
implements org.w3c.dom.ProcessingInstruction

This class implements the `ProcessingInstruction` interface.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` `data` The data.

Fields inherited from class org.apache.batik.dom.AbstractChildNode
`nextSibling, parentNode, previousSibling`

Fields inherited from class org.apache.batik.dom.AbstractNode
`EMPTY_NODE_LIST, eventSupport, ownerDocument`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`AbstractProcessingInstruction()`

Method Summary
`protected org.w3c.dom.Node` `copyInto(org.w3c.dom.Node n)` Copy the fields of the current node into the given node.
`protected org.w3c.dom.Node` `deepCopyInto(org.w3c.dom.Node n)` Deeply copy the fields of the current node into the given node.
`protected org.w3c.dom.Node` `deepExport(org.w3c.dom.Node n, AbstractDocument d)` Deeply exports this node to the given document.
`protected org.w3c.dom.Node` `export(org.w3c.dom.Node n, AbstractDocument d)` Exports this node to the given document.
`java.lang.String` `getData()` DOM: Implements `ProcessingInstruction.getData()`.
`java.lang.String` `getNodeName()` DOM: Implements `Node.getNodeName()`.
`short` `getNodeType()` DOM: Implements `Node.getNodeType()`.
`java.lang.String` `getNodeValue()` DOM: Implements `Node.getNodeValue()`.
`void` `setData(java.lang.String data)` DOM: Implements `ProcessingInstruction.setData(String)`.
`void` `setNodeValue(java.lang.String nodeValue)` DOM: Implements `Node.setNodeValue(String)`.

Methods inherited from class org.apache.batik.dom.AbstractChildNode
`getNextSibling, getParentNode, getPreviousSibling, setNextSibling, setParentNode, setPreviousSibling`

Methods inherited from class org.apache.batik.dom.AbstractNode

`addEventListener, appendChild, checkChildType, cloneNode, createDOMException, dispatchEvent, fireDOMCharacterDataModifiedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedFromDocumentEvent, getAttributes, getChildNodes, getCurrentDocument, getEventSupport, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getOwnerDocument, getParentNodeEventTarget, getPrefix, hasAttributes, hasChildNodes, insertBefore, isSupported, newNode, normalize, removeChild, removeEventListener, replaceChild, setNodeName, setOwnerDocument, setPrefix, setSpecified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.ProcessingInstruction
`getTarget`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setPrefix`

Methods inherited from interface org.apache.batik.dom.ExtendedNode
`isReadonly, setReadonly`

Field Detail

### data

    protected java.lang.String data

  The data.

Constructor Detail

### AbstractProcessingInstruction

    public AbstractProcessingInstruction()

Method Detail

### getNodeName

    public java.lang.String getNodeName()

  DOM: Implements `Node.getNodeName()`.

  Specified by:
    `getNodeName` in interface `org.w3c.dom.Node`
  Returns:
    `ProcessingInstruction.getTarget()`.

### getNodeType

    public short getNodeType()

  DOM: Implements `Node.getNodeType()`.

  Specified by:
    `getNodeType` in interface `org.w3c.dom.Node`
  Returns:
    `Node.PROCESSING_INSTRUCTION_NODE`

### getNodeValue

    public java.lang.String getNodeValue()
                                  throws org.w3c.dom.DOMException

  DOM: Implements `Node.getNodeValue()`.

  Specified by:
    `getNodeValue` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeValue` in class `AbstractNode`
  Returns:
    `getData()`.
  Throws:
    `org.w3c.dom.DOMException`

### setNodeValue

    public void setNodeValue(java.lang.String nodeValue)
                      throws org.w3c.dom.DOMException

  DOM: Implements `Node.setNodeValue(String)`.

  Specified by:
    `setNodeValue` in interface `org.w3c.dom.Node`
  Overrides:
    `setNodeValue` in class `AbstractNode`
  Returns:
    `setData(String)`.
  Throws:
    `org.w3c.dom.DOMException`

### getData

    public java.lang.String getData()

  DOM: Implements `ProcessingInstruction.getData()`.

  Specified by:
    `getData` in interface `org.w3c.dom.ProcessingInstruction`
  Returns:
    `data`.

### setData

    public void setData(java.lang.String data)
                 throws org.w3c.dom.DOMException

  DOM: Implements `ProcessingInstruction.setData(String)`.

  Specified by:
    `setData` in interface `org.w3c.dom.ProcessingInstruction`
  Throws:
    `org.w3c.dom.DOMException`

### export

    protected org.w3c.dom.Node export(org.w3c.dom.Node n,
                                      AbstractDocument d)

  Exports this node to the given document.

  Overrides:
    `export` in class `AbstractNode`

### deepExport

    protected org.w3c.dom.Node deepExport(org.w3c.dom.Node n,
                                          AbstractDocument d)

  Deeply exports this node to the given document.

  Overrides:
    `deepExport` in class `AbstractNode`

### copyInto

    protected org.w3c.dom.Node copyInto(org.w3c.dom.Node n)

  Copy the fields of the current node into the given node.

  Overrides:
    `copyInto` in class `AbstractNode`
  Parameters:
    `n` - a node of the type of this.

### deepCopyInto

    protected org.w3c.dom.Node deepCopyInto(org.w3c.dom.Node n)

  Deeply copy the fields of the current node into the given node.

  Overrides:
    `deepCopyInto` in class `AbstractNode`
  Parameters:
    `n` - a node of the type of this.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.